2017-09-19 19:17 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003182FSSCPtablespublic2017-07-11 18:13
ReporterSpoon 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.5 
Target VersionFixed in Version3.7.5 
Summary0003182: $Hull Repair Rate: repairs hull back to positive numbers during ship's deathroll
DescriptionIt's kind of a minor thing, and something I've known about for years now but never thought about reporting.
It's noticable on capitalships that have a hull repair rate set on them, they reach 0% hull, start exploding, then their hull goes back up to 1% during it. They explode anyway, but it looks sort of silly.
Steps To ReproduceGive a capitalship a .tbm that adds $Hull Repair Rate: 0.1 or any other value.
Drop the ship to zero in a mission.
Observe it repairing itself during its death.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016840

The_E (administrator)

See PR 1117: https://github.com/scp-fs2open/fs2open.github.com/pull/1117

~0016902

Goober5000 (administrator)

This PR was merged.
+Notes

-Issue History
Date Modified Username Field Change
2016-08-08 12:38 Spoon New Issue
2016-12-29 15:48 The_E Note Added: 0016840
2016-12-29 15:49 The_E Assigned To => The_E
2016-12-29 15:49 The_E Status new => code review
2017-07-11 18:13 Goober5000 Status code review => resolved
2017-07-11 18:13 Goober5000 Resolution open => fixed
2017-07-11 18:13 Goober5000 Fixed in Version => 3.7.5
2017-07-11 18:13 Goober5000 Note Added: 0016902
+Issue History